## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-axolotl
Version:        0.2.3
Release:        %autorelease
Summary:        Python port of libaxolotl

License:        GPL-3.0-only
URL:            https://github.com/tgalal/python-axolotl
Source0:        %{url}/archive/%{version}/%{version}.tar.gz

# The protobuf dependency is too strict, this patch relaxes the requirement
# https://github.com/tgalal/python-axolotl/issues/44
Patch0:         python-axolotl-protobuf.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This is a ratcheting forward secrecy protocol
that works in synchronous and asynchronous messaging environments.}

%description %_description

%package -n python3-axolotl
Summary:        %{summary}

%description -n python3-axolotl %_description


%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files axolotl


%check
%tox


%files -n python3-axolotl -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.2.3-7
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 01 2022 Arthur Bols <arthur@bols.dev> - 0.2.3-5
- Switch to SPDX licensing

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.2.3-2
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Arthur Bols <arthur@bols.dev> - 0.2.3-1
- Initial package

## END: Generated by rpmautospec
